Subject: Re: [PATCH] git-init: don't base core.filemode on the ability to chmod.

From: Johannes Sixt <[email-masked]>
Date: Wed, 03 Oct 2007 14:19:40 +0200

Martin Waitz schrieb:
> At least on Linux the vfat file system honors chmod calls but does not
> store them permanently (as there is no on-disk format for it).
> So the filemode test which tries to chmod a file thinks that the file
> system does support file modes.  This will result in problems when the
> file system gets mounted for the next time and all the executable bits
> are back.
> 
> A more reliable test for file systems without filemode support is to
> simply check if new files are created with the executable bit set.

On Windows, we don't get an executable bit at all. Better use both 
heuristics, i.e. set core.filemode false if either one diagnoses an 
unreliable x-bit.

-- Hannes